#include <bits/stdc++.h>
#include <iomanip>
#include <string>
#include <vector>
#include <set>
#include <map>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <deque>
#include <algorithm>

using namespace std;

#define ll long long 

int main() {
    ios_base::sync_with_stdio();
    cin.tie(0), cout.tie(0);
    ll n,k;
    cin>>n>>k;
    vector<ll>s(n);
    vector<ll>pref(n+1);
    for(ll i= 0 ; i < n;i++){
        cin>>s[i];
    }
    multiset<ll>st;
    ll mx=0;
    for(ll i=0;i<n;i++){
        ll ans=i+1 + s[i];
        ll cnt=0;
        for(auto el: st){
            cnt++;
            ans-=el;
            if(cnt==k -1){
                break;
            }5 
        }  
        mx=max(mx,ans);
        st.insert(-s[i]);
    }
    cout<<mx;
}